/*
* wmh 生成报告部分
*
* */
function show(){
    $("#baogaoBox").show();
}


//打印
function doPrint() {
    let winname,head,bdhtml,sprnstr,eprnstr,prnhtml;
    $("html").css("height", "auto");
    winname = window.open('', "_blank",'');
    head =
        '<style>#baogaoBox{-webkit-print-color-adjust:exact;print-color-adjust:exact;background-color:green;}#baogaoBox td{box-sizing:border-box;padding:2px;color:#000;}#baogaoBox .toPdfDown_btnSty{font-size:14px;margin-right:20px;color:#fff;border:1px solid #FFF;box-sizing:border-box;padding:1px 5px;border-radius:5px;}.BaoGao_title{color:#000;height:70px;background-color:#B8CCE4!important;display:flex;font-weight:bold;font-size:23px;line-height:70px;justify-content:center;}.BaoGao_left_table{border-bottom:1px solid #fff!important;background-color:#4F81BD!important;height:40px;display:flex;align-items:center;justify-content:flex-end;color:#fff!important;box-sizing:border-box;padding:0 10px;font-weight:bold;}.BaoGao_div_left{justify-content:flex-start;}.BaoGao_right_table{box-sizing:border-box;padding:0 10px;color:#000!important;border-bottom:1px solid #fff!important;background-color:#C5D9F1!important;height:40px;text-align:left;display:flex;align-items:center;}.BaoGao_table1{table-layout:fixed!important;width: 100%;word-break: break-all;}.BaoGao_table1 th{color:#000!important;font-weight:bold;background-color:#918485!important;border:1px solid #fff;border-left:none;border-top:none;}.BaoGao_table1 tr{text-align:center;color:#000!important;border:1px solid #fff;border-left:none;background-color:#D2CECE!important;}BaoGao_table1_col1{width:5%;}BaoGao_table1_col2{width:15%;}BaoGao_table1_col3{width:8%;}BaoGao_table1_col4{width:15%;}BaoGao_table1_col5{}.BaoGao_table2{width:60%;table-layout:fixed;border-collapse:collapse;border-spacing:0;}.BaoGao_table2 td{border:1px solid #000;}.BaoGao_table2_col1{font-weight:bold;width:50%;border:1px solid #000;}.BaoGao_table2_col1 div{width:150px;text-align:justify;text-align-last:justify;float:right;}.BaoGao_table2_col2{width:50%;border:1px solid #000;text-align: center}.BaoGao_table3{width:100%;table-layout:fixed}.BaoGao_table3 th{color:#fff!important;font-weight:bold;background-color:#4F81BD!important;border:1px solid #fff;border-left:none;border-top:none;}.BaoGao_table3 tr:nth-child(odd){text-align:center;color:#000!important;border:1px solid #fff;border-left:none;background-color:#fff!important;}.BaoGao_table3 tr:nth-child(even){text-align:center;color:#000!important;border:1px solid #fff;border-left:none;background-color:#DCE6F1!important;}.Generalstyle_background_linear{background:linear-gradient(to top,#0a6886,#14394d);}</style>>';
    bdhtml=window.document.body.innerHTML;
    sprnstr="<!--startprintBG-->";
    eprnstr="<!--endprintBG-->";
    prnhtml=bdhtml.substr(bdhtml.indexOf(sprnstr)+19);
    prnhtml=prnhtml.substring(0,prnhtml.indexOf(eprnstr));
    winname.document.head.innerHTML=head;
    winname.document.body.innerHTML=prnhtml;
    winname.print();
    $("html").css("height", "100%");
}




$("#takeReport").click(function () {
    //通过后台获取数据
    $.ajax({
        url: "selectAllEquipmentCheck",
        type: "post",
        dataType: "json",
        success: function (result) {
            if(result!=""&&result!=null){
                addBaogaoList(result);
                setstatistical(result);
                $("#baogaoBox").show();
            }
        }
    })
})


/*添加list到报表中*/
function addBaogaoList(testList){
    //清空报告列表
    let indexCloudCheck = 0;
    let tabletrLenght = $("#cloudCheckList tr").length;
    //console.log(cloudCheckList)
    for (var i=tabletrLenght;i>=1;i--){
        $("#cloudCheckList tr").eq(i).remove();
    }
    let htmlstr = "";
    if (testList.length>0){
        testList.forEach((item,index)=>{
            //添加查询出的列表
            indexCloudCheck++;
            htmlstr += '<tr><td class="BaoGao_table1_col1">'+indexCloudCheck+'</td><td class="BaoGao_table1_col2">'+item.deviceCode+'</td><td class="BaoGao_table1_col3">'+checkType(item.differenceType)+'</td><td class="BaoGao_table1_col4">'+percentPass(item.differenceType)+'</td><td class="BaoGao_table1_col5">'+item.differenceDescribe+'</td></tr>'

        })
    }
    $("#cloudCheckList").append(htmlstr);
}
/*判断list差异类型显示内容*/
function checkType(typeArr){

    let typearrStr = "";
    let typeArrTemp = "";
    if(typeArr!=""&&typeArr!=null) {
        typeArrTemp = typeArr.split(";");
        typeArrTemp.forEach((item,index)=>{
            switch (item) {
                case "1":typearrStr += "模型冗余,";break;
                case "2":typearrStr += "模型缺失,";break;
                case "3":typearrStr += "外观形态差异,";break;
                case "4":typearrStr += "设备连接不紧密,";break;
                case "5":typearrStr += "位置偏差,";break;
                case "6":typearrStr += "纹理缺失,";break;
                case "7":typearrStr += "设备缺失,";break;
                default:break;
            };

        })
    }

    /*console.log(typearrStr)*/

    return typearrStr

}
//设置统计
function setstatistical(data) {
    let statisticalResultArr = statisticalResult(data)
    $("#modelMore").html("共"+statisticalResultArr.modelMore+"处")
    $("#modelMiss").html("共"+statisticalResultArr.modelMiss+"处")
    $("#aspectInconformity").html("共"+statisticalResultArr.aspectInconformity+"处")
    $("#facilityGap").html("共"+statisticalResultArr.facilityGap+"处")
    $("#positionalDeviation").html("共"+statisticalResultArr.positionalDeviation+"处")
    $("#textureMiss").html("共"+statisticalResultArr.textureMiss+"处")
    $("#facilityMiss").html("共"+statisticalResultArr.facilityMiss+"处")
    $("#facilitySum").html("共"+statisticalResultArr.facilitySum+"台")
    $("#note").html(statisticalResultArr.note+"分")

    //时间
    $("#print_CreationTimedata").html(statisticalResultArr.print_CreationTimedata)



}
//达标率
function percentPass(typeArr) {
    if(typeArr!=null&&typeArr!=""){
        let typeArrTemp = typeArr.split(";");
        let typeArrTempNotrmi=[];
        //去除"";
        if (typeArrTemp.length>0){
            typeArrTemp.forEach((item,index)=>{
                if(item!=""&&item!="0"){

                    typeArrTempNotrmi.push(item);
                }
            })
        }
        return parseInt((7-typeArrTempNotrmi.length)/7*100)+"%"
    }

    return  "缺少数据"

}

//统计数值
function statisticalResult(dataArr){

    let modelMore=0; //模型冗余
    let modelMiss=0; //模型缺失
    let aspectInconformity =0; //外观形态差异
    let facilityGap=0; //设备连接不紧密
    let positionalDeviation=0; //位置偏差
    let textureMiss=0; //纹理缺失
    let facilityMiss=0; //设备缺失
    let facilitySum = dataArr.length;//已校核设备总数
    let perfect = 0; //缺陷设备总数
    let print_CreationTimedata ="";
    let d =new Date();

    print_CreationTimedata = d.getFullYear()+"/"+(d.getMonth()+1)+"/"+d.getDate()+"/"+d.getHours()+"："+d.getMinutes()

    if (dataArr.length>0){
        dataArr.forEach((item,index)=>{
            if(item.differenceType!=null&&item.differenceType!=""){
                let typeArr =  item.differenceType.split(";");
                let no = 7;
                typeArr.forEach((item1,index1)=>{
                    switch (item1) {
                        case "1":modelMore++; no--;break;
                        case "2":modelMiss++; no--;break;
                        case "3":aspectInconformity++;no--; break;
                        case "4":facilityGap++; no--;break;
                        case "5":positionalDeviation++; no--;break;
                        case "6":textureMiss++; no--;break;
                        case "7":facilityMiss++; no--;break;
                    }
                })
                perfect+=no;
            }
        })
    }
    let note = Number((perfect/(dataArr.length*7))*100).toFixed(2)
    return {
        "modelMore":modelMore,
        "modelMiss":modelMiss,
        "aspectInconformity":aspectInconformity,
        "facilityGap":facilityGap,
        "positionalDeviation":positionalDeviation,
        "textureMiss":textureMiss,
        "facilityMiss":facilityMiss,
        "facilitySum":facilitySum,
        "note": note,
        "print_CreationTimedata":print_CreationTimedata
    }
}

/*
* wmh生成报告结束
* */