//package com.huake.demo;
//
//import com.huake.demo.common.CaptchaHandler;
//import com.huake.demo.dao.DlxurlMapper;
//import com.huake.demo.entity.Dlxurl;
//import com.huake.demo.service.dlxurlService;
//import net.lightbody.bmp.BrowserMobProxy;
//import net.lightbody.bmp.BrowserMobProxyServer;
//import net.lightbody.bmp.client.ClientUtil;
//import org.openqa.selenium.By;
//import org.openqa.selenium.JavascriptExecutor;
//import org.openqa.selenium.Proxy;
//import org.openqa.selenium.WebDriver;
//import org.openqa.selenium.WebElement;
//import org.openqa.selenium.chrome.ChromeDriver;
//import org.openqa.selenium.chrome.ChromeOptions;
//import org.openqa.selenium.support.ui.ExpectedConditions;
//import org.openqa.selenium.support.ui.WebDriverWait;
//import io.netty.handler.codec.http.HttpHeaders;
//import org.springframework.beans.factory.annotation.Autowired;
//
//import java.util.List;
//
//public class MultiSiteLoginAutomation {
//
//    private static final String CHROME_DRIVER_PATH = "D:\\sc\\chromedriver-win64\\chromedriver.exe";
//    private static final int WAIT_TIMEOUT = 10; // seconds
//
//    @Autowired
//    private dlxurlService dlxurlService;
//
//    @Autowired
//    private DlxurlMapper dlxurlMapper;
//
//    public static void main(String[] args) {
//        MultiSiteLoginAutomation automation = new MultiSiteLoginAutomation();
//        automation.runAutomation();
//    }
//
//    public void runAutomation() {
//        System.setProperty("webdriver.chrome.driver", CHROME_DRIVER_PATH);
//
//        BrowserMobProxy proxy = new BrowserMobProxyServer();
//        proxy.start(0);
//        Proxy seleniumProxy = ClientUtil.createSeleniumProxy(proxy);
//
//        ChromeOptions options = new ChromeOptions();
//        options.setProxy(seleniumProxy);
//
//        WebDriver[] drivers = new WebDriver[3];
//        for (int i = 0; i < 3; i++) {
//            drivers[i] = new ChromeDriver(options);
//        }
//
//        List<Dlxurl> dlxurls = dlxurlMapper.selectAll();
//        System.out.println("开云链接"+dlxurls.get(0).getKyurl());
//        String[] urls = {
//                dlxurls.get(0).getKyurl(),
//                dlxurls.get(0).getHthurl(),
//                dlxurls.get(0).getJyurl()
//        };
//        String[] emails = {"ky3tg107098", "htg51172", "jy3tg107075"};
//        String[] passwords = {"tg666888", "tg666888", "tg666888"};
//
//        try {
//            proxy.newHar("login");
//
//            proxy.addRequestFilter((request, contents, messageInfo) -> {
//                String interceptedUrl = messageInfo.getUrl();
//                if (interceptedUrl.contains("/agent/api/v1/front/banner") ||
//                        interceptedUrl.contains("/agent/api/v1/front/getAgentDataVisualList")) {
//                    HttpHeaders headers = request.headers();
//                    System.out.println("拦截到请求: " + interceptedUrl);
//                    System.out.println("X-Api-Token: " + headers.get("X-Api-Token"));
//                    System.out.println("X-Api-Uuid: " + headers.get("X-Api-Uuid"));
//                    System.out.println("X-Api-Xxx: " + headers.get("X-Api-Xxx"));
//                    System.out.println("结束");
//                }
//                return null;
//            });
//
//            for (int i = 0; i < 3; i++) {
//                loginToSite(drivers[i], urls[i], emails[i], passwords[i]);
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            for (WebDriver driver : drivers) {
//                if (driver != null) driver.quit();
//            }
//            if (proxy != null) {
//                proxy.stop();
//            }
//        }
//    }
//
//    private void loginToSite(WebDriver driver, String url, String email, String password) throws InterruptedException {
//        WebDriverWait wait = new WebDriverWait(driver, WAIT_TIMEOUT);
//        driver.get(url);
//        WebElement captchaImage = wait.until(ExpectedConditions.visibilityOfElementLocated(By.id("boxModle")));
//        String base64Captcha = CaptchaHandler.getBase64FromElement(driver, captchaImage);
//        String captchaCode = CaptchaHandler.sendCaptchaRequest(base64Captcha);
//        wait.until(ExpectedConditions.visibilityOfElementLocated(By.cssSelector("input.ant-input[placeholder='用户名']"))).sendKeys(email);
//        wait.until(ExpectedConditions.visibilityOfElementLocated(By.cssSelector("input[type='password']"))).sendKeys(password);
//        wait.until(ExpectedConditions.visibilityOfElementLocated(By.cssSelector("input.ant-input[placeholder='请输入验证码']"))).sendKeys(captchaCode);
//        Thread.sleep(1500);
//        WebElement finalLoginButton = wait.until(ExpectedConditions.elementToBeClickable(By.cssSelector("button.ant-btn.ant-btn-primary")));
//        ((JavascriptExecutor) driver).executeScript("arguments[0].scrollIntoView(true);", finalLoginButton);
//        ((JavascriptExecutor) driver).executeScript("arguments[0].click();", finalLoginButton);
//        wait.until(ExpectedConditions.urlContains("/app/home?showWelcome=false"));
//    }
//}
